#!/usr/bin/env bash

# Slurm job configuration
#SBATCH --nodes=1
#SBATCH --ntasks=4
#SBATCH --ntasks-per-node=4
#SBATCH --output=output_%j.out
#SBATCH --error=error_%j.er
#SBATCH --time=00:10:00
#SBATCH --job-name=TUTORIAL
#SBATCH --gres=gpu:4
#SBATCH --partition=develbooster

# Load the required modules
module load GCC/9.3.0
module load OpenMPI/4.1.0rc1
module load TensorFlow/2.3.1-Python-3.8.5
module load Horovod/0.20.3-Python-3.8.5

# Make all GPUs visible per node
export CUDA_VISIBLE_DEVICES=0,1,2,3

# Run the program
srun python -u keras_mnist.py
