#!/usr/bin/env bash

# Slurm job configuration
#SBATCH --nodes=2
#SBATCH --ntasks=2
#SBATCH --ntasks-per-node=1
#SBATCH --output=output_%j.out
#SBATCH --error=error_%j.er
#SBATCH --time=00:10:00
#SBATCH --job-name=TUTORIAL
#SBATCH --gres=gpu:1
#SBATCH --partition=develgpus

# Load the required modules
module load GCC/9.3.0
module load OpenMPI/4.1.0rc1
module load mpi4py/3.0.3-Python-3.8.5
module load TensorFlow/2.3.1-Python-3.8.5
module load Horovod/0.20.3-Python-3.8.5

# Enable MPI multi-threading for Horovod
export HOROVOD_MPI_THREADS_DISABLE=0

# Make all GPUs visible per node
export CUDA_VISIBLE_DEVICES=0

# Run the program
srun python -u mnist_data_distributed.py
